## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToHTML::Entity Struct Reference

`#include <FormatterToHTML.hpp>`

List of all members.

## Public Types

- enum {
  eMaxLength = 8
  }

## Public Attributes

- XalanDOMChar m_char
- XalanDOMString::size_type m_length
- XalanDOMChar m_string [eMaxLength + 1]

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eMaxLength |

## Member Data Documentation

XalanDOMChar FormatterToHTML::Entity::m_char

XalanDOMString::size_type FormatterToHTML::Entity::m_length

XalanDOMChar FormatterToHTML::Entity::m_string[eMaxLength+1]

The documentation for this struct was generated from the following file:

- FormatterToHTML.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.